> For the complete documentation index, see [llms.txt](https://docs.orbs.network/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/index.js-implementation/supported-networks.md).

# Supported Networks

## EVM

When defining triggers for lambda execution, you must define which blockchain network the lambda executes on. To execute the lambda over multiple networks side by side, define multiple triggers side by side. Upon execution, the trigger event handler will receive an initialized `web3` object that allows to make queries and send transactions on this network.

The following EVM networks are supported:

### **Ethereum mainnet**

Network ID:  `ethereum`\
Explorer: [https://etherscan.io](https://etherscan.io/)

### **Polygon mainnet**

Network ID:  `polygon`\
Explorer: [https://polygonscan.com](https://polygonscan.com/)

### **BNB Chain mainnet (previously Binance Smart Chain)**

Network ID: `bsc`\
Explorer: [https://bscscan.com](https://bscscan.com/)

### **Avalanche mainnet**

Network ID: `avalanche`\
Explorer: [https://snowtrace.io](https://snowtrace.io/)

### **Fantom mainnet**

Network ID: `fantom`\
Explorer: [https://ftmscan.com](https://ftmscan.com/)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbs.network/v3/orbs-lambda/step-by-step-overview/index.js-implementation/supported-networks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
